Summary:     A utility for determining file types
Name:        file
Version:     4.12
Release:     3.pp
License:     Distributable
Group:       Applications/File
Source0:     ftp://ftp.astron.com/pub/%{name}/%{name}-%{version}.tar.gz
URL:         ftp://ftp.astron.com/pub/%{name}/
Buildroot:   /var/tmp/%{name}-root
Packager:    Peter Pramberger <peter.pramberger@member.fsf.org>
Requires:    glibc zlib
Provides:    %{name}.pp
Prereq:      /bin/bash /sbin/ldconfig
BuildPrereq: gcc >= 2.96 /bin/mkdir /usr/bin/make /usr/bin/install
BuildPrereq: glibc-devel zlib-devel
ExclusiveOS: linux

%description
The file command is used to identify a particular file according to the
type of data contained by the file.  File can identify many different
file types, including ELF binaries, system libraries, RPM packages, and
different graphics formats.


%package devel
Summary:     Development tools for %{name}
Group:       Development/Libraries
Requires:    %{name} = %{version}-%{release} %{name}.pp
Provides:    %{name}-devel.pp

%description devel
The %{name}-devel package contains the static libraries and header files
for developing software which needs to determine file types.


%prep
%setup -q


%build
export CFLAGS="$RPM_OPT_FLAGS"
./configure \
	--prefix=/usr           \
	--sysconfdir=/etc       \
	--localstatedir=/var    \
	--libexecdir=/usr/lib   \
	--mandir=/usr/share/man \
	--enable-shared         \
	--enable-static         \
	--enable-fsect-man5
make all


# Do not strip, only compress documentation
%define __os_install_post /usr/lib/rpm/brp-compress


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr
make \
	DESTDIR=$RPM_BUILD_ROOT \
	install
for file in magic magic.mgc magic.mime magic.mime.mgc; do
   ln -sf %{name}/${file} $RPM_BUILD_ROOT/usr/share/
done


%post
/sbin/ldconfig


%postun
/sbin/ldconfig


%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc ChangeLog LEGAL* MAINT PORTING README
/usr/bin/*
/usr/lib/*.so.*
/usr/share/magic*
%dir /usr/share/%{name}
%config(noreplace) /usr/share/%{name}/*
/usr/share/man/man1/*
/usr/share/man/man5/*

%files devel
%defattr(-,root,root)
/usr/include/*
/usr/lib/*.*a
/usr/lib/*.so
/usr/share/man/man3/*


%changelog
* Fri Nov 26 2004 peter.pramberger@member.fsf.org
- created

